Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class UnboundedFifoBuffer

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--org.apache.commons.collections.UnboundedFifoBuffer

All Implemented Interfaces:
  Buffer, Collection

Deprecated. Moved to buffer subpackage. Due to be removed in v4.0.

public class UnboundedFifoBuffer
extends AbstractCollection
implements Buffer

UnboundedFifoBuffer is a very efficient buffer implementation. According to performance testing, it exhibits a constant access time, but it also outperforms ArrayList when used for the same purpose.

The removal order of an `UnboundedFifoBuffer` is based on the insertion order; elements are removed in the same order in which they were added. The iteration order is the same as the removal order.

The `remove()` and `get()` operations perform in constant time. The `add(Object)` operation performs in amortized constant time. All other operations perform in linear time or worse.

Note that this implementation is not synchronized. The following can be used to provide synchronized access to your `UnboundedFifoBuffer`:

       Buffer fifo = BufferUtils.synchronizedBuffer(new UnboundedFifoBuffer());

This buffer prevents null objects from being added.

Since:
  Commons Collections 2.1
Version:
  $Revision: 1.15 $ $Date: 2004/02/18 01:15:42 $
Author:
  Avalon, Federico Barbieri, Berin Loritsch, Paul Jack, Stephen Colebourne

Field Summary
`protected Object[]` | `m_buffer` Deprecated.
`protected int` | `m_head` Deprecated.
`protected int` | `m_tail` Deprecated.

Constructor Summary
`UnboundedFifoBuffer()` Deprecated. Constructs an UnboundedFifoBuffer with the default number of elements.
`UnboundedFifoBuffer(int initialSize)` Deprecated. Constructs an UnboundedFifoBuffer with the specified number of elements.

Method Summary
`boolean` | `add(Object obj)` Deprecated. Adds the given element to this buffer.
`Object` | `get()` Deprecated. Returns the next object in the buffer.
`boolean` | `isEmpty()` Deprecated. Returns true if this buffer is empty; false otherwise.
`Iterator` | `iterator()` Deprecated. Returns an iterator over this buffer's elements.
`Object` | `remove()` Deprecated. Removes the next object from the buffer
`int` | `size()` Deprecated. Returns the number of elements stored in the buffer.

Methods inherited from class java.util.AbstractCollection
`addAll, clear, contains, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, containsAll, equals, hashCode, remove, removeAll, retainAll, toArray, toArray`

Field Detail

### m_buffer

    protected Object[] m_buffer

  Deprecated.

### m_head

    protected int m_head

  Deprecated.

### m_tail

    protected int m_tail

  Deprecated.

Constructor Detail

### UnboundedFifoBuffer

    public UnboundedFifoBuffer()

  Deprecated.
  Constructs an UnboundedFifoBuffer with the default number of elements. It is exactly the same as performing the following:

         new UnboundedFifoBuffer(32);

### UnboundedFifoBuffer

    public UnboundedFifoBuffer(int initialSize)

  Deprecated.
  Constructs an UnboundedFifoBuffer with the specified number of elements. The integer must be a positive integer.

Parameters:
  `initialSize` - the initial size of the buffer
Throws:
  `IllegalArgumentException` - if the size is less than 1

Method Detail

### size

    public int size()

  Deprecated.
  Returns the number of elements stored in the buffer.

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in class `AbstractCollection`
  Returns:
    this buffer's size

### isEmpty

    public boolean isEmpty()

  Deprecated.
  Returns true if this buffer is empty; false otherwise.

  Specified by:
    `isEmpty` in interface `Collection`
  Overrides:
    `isEmpty` in class `AbstractCollection`
  Returns:
    true if this buffer is empty

### add

    public boolean add(Object obj)

  Deprecated.
  Adds the given element to this buffer.

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `AbstractCollection`
  Parameters:
    `obj` - the element to add
  Returns:
    true, always
  Throws:
    `NullPointerException` - if the given element is null
    `BufferOverflowException` - if this buffer is full

### get

    public Object get()

  Deprecated.
  Returns the next object in the buffer.

  Specified by:
    `get` in interface `Buffer`
  Returns:
    the next object in the buffer
  Throws:
    `BufferUnderflowException` - if this buffer is empty

### remove

    public Object remove()

  Deprecated.
  Removes the next object from the buffer

  Specified by:
    `remove` in interface `Buffer`
  Returns:
    the removed object
  Throws:
    `BufferUnderflowException` - if this buffer is empty

### iterator

    public Iterator iterator()

  Deprecated.
  Returns an iterator over this buffer's elements.

  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in class `AbstractCollection`
  Returns:
    an iterator over this buffer's elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.